WordPress.org

Ready to get started?Download WordPress

Forums

One-Click Child Theme
Errors in Lugada theme after one-click child install (4 posts)

  1. rachellucie
    Member
    Posted 2 years ago #

    Hi,

    I am setting up my blog, and am a newbie. I installed the one-click child plugin so that I could make changes on my site appearance and still be able to install theme updates. However, once activated, I now cannot access my site at all and have this error:

    'Warning: require_once(/websites/123reg/LinuxPackage21/ra/ch/el/rachellucie.co.uk/public_html/blog/wp-content/themes/lucadas-baby/include/theme-options.php) [function.require-once]: failed to open stream: No such file or directory in /websites/123reg/LinuxPackage21/ra/ch/el/rachellucie.co.uk/public_html/blog/wp-content/themes/lugada/functions.php on line 3

    Fatal error: require_once() [function.require]: Failed opening required '/websites/123reg/LinuxPackage21/ra/ch/el/rachellucie.co.uk/public_html/blog/wp-content/themes/lucadas-baby/include/theme-options.php' (include_path='.:/usr/local/php52/share/pear:/usr/local/php52/share/php') in /websites/123reg/LinuxPackage21/ra/ch/el/rachellucie.co.uk/public_html/blog/wp-content/themes/lugada/functions.php on line 3'

    My hosting is with 123-reg.co.uk

    Can anyone help with this, please?

    http://wordpress.org/extend/plugins/one-click-child-theme/

  2. rachellucie
    Member
    Posted 2 years ago #

    This really is pants!

    I had my hosts remove all the installed theme stuff so that I could get back in. I installed the theme, activated the plugin and followed these instructions:

    TO USE
    Install the plugin.
    Log in to your /wp-admin
    Click on “Appearance” on the menu
    Click on “Child Theme” (sub-menu or on the page).
    Give your new theme a name and description and click “Create Child”
    Your child should be created, edit the new theme style.css, and go wild!

    As soon as I create the child I get this error and cannot access my blog or blog admin at all:

    Warning: require_once(/websites/123reg/LinuxPackage21/ra/ch/el/rachellucie.co.uk/public_html/blog/wp-content/themes/babylugada/include/theme-options.php) [function.require-once]: failed to open stream: No such file or directory in /websites/123reg/LinuxPackage21/ra/ch/el/rachellucie.co.uk/public_html/blog/wp-content/themes/lugada/functions.php on line 3

    Fatal error: require_once() [function.require]: Failed opening required '/websites/123reg/LinuxPackage21/ra/ch/el/rachellucie.co.uk/public_html/blog/wp-content/themes/babylugada/include/theme-options.php' (include_path='.:/usr/local/php52/share/pear:/usr/local/php52/share/php') in /websites/123reg/LinuxPackage21/ra/ch/el/rachellucie.co.uk/public_html/blog/wp-content/themes/lugada/functions.php on line 3

    Back to my host, again, to remove that plugin. Again.

    Thoughts? Am I doing something flaky, or is this pants?

  3. Krishna
    Volunteer Moderator
    Posted 2 years ago #

    You may revert back to the default Twenty Eleven theme and see if your site is OK. Possibly it can be a problem with your plugins or themes. To identify the plugins, deactivate them one by one and activate them in a similar fashion.

  4. tehillim
    Member
    Posted 1 year ago #

    because I own my server, I can access web server log.

    anyway, finally I found the solution.

    open functions.php in lugada theme directory and find the below and replace it, that's it.
    (3rd line of the file)

    require_once ( get_template_directory() . '/include/theme-options.php' );
    require_once ( get_template_directory() . '/include/breadcrumbs.php' );
    require_once ( get_template_directory() . '/include/widget.php' );
    /*
    require_once ( get_stylesheet_directory() . '/include/theme-options.php' );
    require_once ( get_stylesheet_directory() . '/include/breadcrumbs.php' );
    require_once ( get_stylesheet_directory() . '/include/widget.php' );
    */

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic